
Object subclass: #ConfigurationOfExtendedNumberParser
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfExtendedNumberParser'!

!ConfigurationOfExtendedNumberParser class methodsFor: 'development support' stamp: 'StephaneDucasse 3/15/2015 21:29'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfExtendedNumberParser class methodsFor: 'private' stamp: 'StephaneDucasse 3/15/2015 21:29'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfExtendedNumberParser class methodsFor: 'private' stamp: 'StephaneDucasse 3/15/2015 21:29'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfExtendedNumberParser class methodsFor: 'private' stamp: 'StephaneDucasse 3/15/2015 21:29'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfExtendedNumberParser class methodsFor: 'metacello tool support' stamp: 'StephaneDucasse 3/15/2015 21:29'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfExtendedNumberParser class methodsFor: 'loading' stamp: 'StephaneDucasse 3/15/2015 21:29'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfExtendedNumberParser class methodsFor: 'loading' stamp: 'StephaneDucasse 3/15/2015 21:29'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfExtendedNumberParser class methodsFor: 'loading' stamp: 'StephaneDucasse 3/15/2015 21:29'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfExtendedNumberParser class methodsFor: 'accessing' stamp: 'StephaneDucasse 3/15/2015 21:29'!
project

	^self new project! !

!ConfigurationOfExtendedNumberParser class methodsFor: 'development support' stamp: 'StephaneDucasse 3/15/2015 21:29'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfExtendedNumberParser methodsFor: 'baselines' stamp: 'StephaneDucasse 3/15/2015 21:30'!
baseline01: spec
	<version: '0.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec description: 'A nice package with extended capibilities to parser numbers.'.
		spec repository: 'http://smalltalkhub.com/mc/PharoExtras/ExtendedNumberParser/main/'.
		spec package: 'ExtendedNumberParser'. ].
! !

!ConfigurationOfExtendedNumberParser methodsFor: 'accessing' stamp: 'StephaneDucasse 3/15/2015 21:29'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfExtendedNumberParser methodsFor: 'symbolic versions' stamp: 'StephaneDucasse 3/15/2015 21:30'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.1-baseline'.
! !

!ConfigurationOfExtendedNumberParser methodsFor: 'accessing' stamp: 'StephaneDucasse 3/15/2015 21:29'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfExtendedNumberParser methodsFor: 'symbolic versions' stamp: 'StephaneDucasse 3/15/2015 21:30'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.0'.
! !

!ConfigurationOfExtendedNumberParser methodsFor: 'versions' stamp: 'StephaneDucasse 3/15/2015 21:30'!
version10: spec
	<version: '1.0' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0'.
		spec author: 'StephaneDucasse'.
		spec timestamp: '3/15/2015 21:30'.
		spec package: 'ExtendedNumberParser' with: 'ExtendedNumberParser-StephaneDucasse.3'. ].
! !
